Bug 219735 - Default xorg.conf results in out-of-range video signal
Summary: Default xorg.conf results in out-of-range video signal
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-15 01:26 UTC by Adam Kropelin
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: rhel5-current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 11:55:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original xorg.conf (non-working) (566 bytes, text/plain)
2006-12-15 01:26 UTC, Adam Kropelin
no flags Details
Working xorg.conf generated by system-config-display (928 bytes, application/octet-stream)
2006-12-15 01:28 UTC, Adam Kropelin
no flags Details
xorg.conf to get monitor working on default installation of fc6 (768 bytes, application/octet-stream)
2007-01-15 17:28 UTC, joebob
no flags Details
Xorg.log from working xorg.conf (53.16 KB, text/plain)
2007-01-25 22:54 UTC, Adam Kropelin
no flags Details
Xorg.log from out-of-range xorg.conf (52.85 KB, text/plain)
2007-01-25 22:54 UTC, Adam Kropelin
no flags Details

Description Adam Kropelin 2006-12-15 01:26:37 UTC
A default installation of RHEL5 Beta 2 on a Dell E521 produces an out-of-range
video signal (for a Dell 2005FPW LCD display) and blank screen during RHGB,
firstboot, and X11. Manually running systom-config-display and selecting
appropriate monitor and resolutions settings fixes the problem.

Comment 1 Adam Kropelin 2006-12-15 01:26:37 UTC
Created attachment 143726 [details]
Original xorg.conf (non-working)

Comment 2 Adam Kropelin 2006-12-15 01:28:12 UTC
Created attachment 143727 [details]
Working xorg.conf generated by system-config-display

Comment 3 Adam Kropelin 2006-12-15 01:30:53 UTC
Note that the 2005FPW is connected via a KVM which does not pass DDC probe info.
This may account for the nearly blank default xorg.conf. However I'd expect a
failed probe to result in an xorg.conf with very conservative settings and,
ideally, system-config-display automatically presented to the user.

Comment 4 joebob 2007-01-15 17:28:13 UTC
Created attachment 145591 [details]
xorg.conf to get monitor working on default installation of fc6

I was getting a out of frequency range error on default install of the dvd
fedora 6 x86_64 media.	So a manual change to xorg.conf was needed as in the
attachment.

Comment 5 Adam Jackson 2007-01-24 21:56:24 UTC
Please also attach the X log from the blank startup.  But I believe this is
fixed by a later update.

Comment 6 Adam Kropelin 2007-01-25 22:54:07 UTC
Created attachment 146643 [details]
Xorg.log from working xorg.conf

Comment 7 Adam Kropelin 2007-01-25 22:54:59 UTC
Created attachment 146644 [details]
Xorg.log from out-of-range xorg.conf

Comment 8 Matěj Cepl 2007-07-03 12:37:23 UTC
Reporter, I am sorry, that we have left this bug unnoticed for so long, but
could you confirm please, that this bug still could be reproduced with the
latest updates of RHEL?

Comment 9 Matěj Cepl 2007-08-03 13:12:51 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.


Comment 10 apcupsd users 2007-08-03 14:55:28 UTC
What, you have 6 months to respond and I only have 2? :)

RHEL 5 final appears to work correctly from a default install on my hw.

Comment 11 Matěj Cepl 2007-09-18 11:55:49 UTC
Thanks a lot for letting us know. Yes, there is no justice in the world ... :-)


Note You need to log in before you can comment on or make changes to this bug.